<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetRows Method (IEdmBomView)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBomView Interface : SetRows Method (IEdmBomView)

Visual Basic
C#
C++/CLI

poRows
  Array of ordered IEdmBomCell interfaces; one interface for each BOM row

Adds new rows or reorders existing rows in this BOM.

# Syntax

Visual Basic |
--- | ---

    Sub SetRows( _
       ByVal poRows() As System.Object _
    )

C# |
--- | ---

    void SetRows(
       System.object[] poRows
    )

C++/CLI |
--- | ---

    void SetRows(
    &   System.array<Object^>^ poRows
    )

#### Parameters

poRows
  Array of ordered IEdmBomCell interfaces; one interface for each BOM row

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBomView Interface
IEdmBomView Members

# Availability

SOLIDWORKS PDM Professional 2009